> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-apis/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-apis/accessing-os-apis/os-ngd-api-tiles/technical-specification/collections.md).

# Collections

## GET /collections

> Retrieve the list of geospatial data collections available from this service.

```json
{"openapi":"3.0.1","info":{"title":"OS NGD API - Tiles","version":"v1.8"},"servers":[{"description":"NGD OGC API - Tiles server","url":"https://api.os.uk/maps/vector/ngd/ota/v1"}],"paths":{"/collections":{"get":{"operationId":"getCollectionsList","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/collections"}},"text/html":{"schema":{"type":"string"}}},"description":"The collections of (mostly geospatial) data available from this API. The dataset contains one or more collections. This resource provides information about and access to the collections. The response contains the list of collections. Each collection is accessible via one or more OGC API set of specifications, for which a link to relevant accessible resources, e.g. /collections/{collectionId}/(items, coverage, map, tiles...) is provided, with the corresponding relation type, as well as key information about the collection. This information includes:\n* a local identifier for the collection that is unique for the dataset;\n* a list of coordinate reference systems (CRS) in which data may be returned by the server. The first CRS is the default coordinate reference system (the default is always WGS 84 with axis order longitude/latitude);\n* an optional title and description for the collection;\n* an optional extent that can be used to provide an indication of the spatial and temporal extent of the collection - typically derived from the data;\n* for collections accessible via the Features or Records API, an optional indicator about the type of the items in the collection (the default value, if the indicator is not provided, is 'feature')."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/exceptionDto"}}},"description":"The request was not supported."},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/exceptionDto"}}},"description":"The requested resource does not exist on the server. For example, a path parameter had an incorrect value."},"405":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/exceptionDto"}}},"description":"The HTTP method requested is not supported. This endpoint only supports 'GET' requests."},"406":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/exceptionDto"}}},"description":"A request header value was not supported."},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/exceptionDto"}}},"description":"A server error occurred."},"504":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/exceptionDto"}}},"description":"Gateway Timeout."}},"summary":"Retrieve the list of geospatial data collections available from this service.","tags":["Data Collections"]}}},"components":{"schemas":{"collections":{"properties":{"links":{"items":{"$ref":"#/components/schemas/link"},"type":"array"},"collections":{"items":{"$ref":"#/components/schemas/collectionInfo"},"type":"array"}},"required":["collections","links"],"type":"object"},"link":{"properties":{"href":{"description":"Supplies the URI to a remote resource (or resource fragment).","type":"string"},"rel":{"description":"The type or semantics of the relation.","type":"string"},"type":{"description":"A hint indicating what the media type of the result of dereferencing the link should be.","type":"string"},"templated":{"description":"This flag set to true if the link is a URL template.","type":"boolean"},"varBase":{"description":"A base path to retrieve semantic information about the variables used in URL template.","type":"string"},"hreflang":{"description":"A hint indicating what the language of the result of dereferencing the link should be.","type":"string"},"title":{"description":"Used to label the destination of a link such that it can be used as a human-readable identifier.","type":"string"},"length":{"type":"integer"}},"required":["href","rel"],"type":"object"},"collectionInfo":{"properties":{"id":{"description":"identifier of the collection used, for example, in URIs","type":"string"},"title":{"description":"human readable title of the collection","type":"string"},"description":{"description":"a description of the data in the collection","type":"string"},"links":{"items":{"$ref":"#/components/schemas/link"},"type":"array"},"extent":{"$ref":"#/components/schemas/extent-uad"}},"required":["id","links"],"type":"object"},"extent-uad":{"allOf":[{"$ref":"#/components/schemas/extent"},{"type":"object"}],"description":"The extent module only addresses spatial and temporal extents. This module extends extent by specifying how\nintervals and crs properties can be used to specify additional geometries.","title":"Extent with Uniform Additional Dimensions Schema"},"extent":{"description":"The extent of the data in the collection. In the Core only spatial and temporal\nextents are specified. Extensions may add additional members to represent other\nextents, for example, thermal or pressure ranges.\n\nThe first item in the array describes the overall extent of\nthe data. All subsequent items describe more precise extents,\ne.g., to identify clusters of data.\nClients only interested in the overall extent will only need to\naccess the first item in each array.","properties":{"spatial":{"$ref":"#/components/schemas/extent_spatial"}},"type":"object"},"extent_spatial":{"description":"The spatial extent of the data in the collection.","properties":{"bbox":{"description":"One or more bounding boxes that describe the spatial extent of the dataset.\nIn the Core only a single bounding box is supported.\n\nExtensions may support additional areas.\nThe first bounding box describes the overall spatial\nextent of the data. All subsequent bounding boxes describe\nmore precise bounding boxes, e.g., to identify clusters of data.\nClients only interested in the overall spatial extent will\nonly need to access the first item in each array.","items":{"description":"Each bounding box is provided as four or six numbers, depending on\nwhether the coordinate reference system includes a vertical axis\n(height or depth):\n\n* Lower left corner, coordinate axis 1\n* Lower left corner, coordinate axis 2\n* Minimum value, coordinate axis 3 (optional)\n* Upper right corner, coordinate axis 1\n* Upper right corner, coordinate axis 2\n* Maximum value, coordinate axis 3 (optional)\n\nIf the value consists of four numbers, the coordinate reference system is\nWGS 84 longitude/latitude (http://www.opengis.net/def/crs/OGC/1.3/CRS84)\nunless a different coordinate reference system is specified in a parameter `bbox-crs`.\n\nIf the value consists of six numbers, the coordinate reference system is WGS 84\nlongitude/latitude/ellipsoidal height (http://www.opengis.net/def/crs/OGC/0/CRS84h)\nunless a different coordinate reference system is specified in a parameter `bbox-crs`.\n\nFor WGS 84 longitude/latitude the values are in most cases the sequence of\nminimum longitude, minimum latitude, maximum longitude and maximum latitude.\nHowever, in cases where the box spans the antimeridian the first value\n(west-most box edge) is larger than the third value (east-most box edge).\n\nIf the vertical axis is included, the third and the sixth number are\nthe bottom and the top of the 3-dimensional bounding box.\n\nIf a feature has multiple spatial geometry properties, it is the decision of the\nserver whether only a single spatial geometry property is used to determine\nthe extent or all relevant geometries.","items":{"type":"number"},"maxItems":4,"minItems":4,"type":"array"},"minItems":1,"type":"array"},"crs":{"default":"http://www.opengis.net/def/crs/EPSG/0/3857","description":"Coordinate reference system of the coordinates in the spatial extent\n(property `bbox`). The default reference system is WGS 84 longitude/latitude.\nIn the Core the only other supported coordinate reference system is\nWGS 84 longitude/latitude/ellipsoidal height for coordinates with height.\nExtensions may support additional coordinate reference systems and add\nadditional enum values.","enum":["http://www.opengis.net/def/crs/EPSG/0/3857","http://www.opengis.net/def/crs/EPSG/0/3857h","http://www.opengis.net/def/crs/OGC/1.3/CRS84","http://www.opengis.net/def/crs/OGC/0/CRS84h"],"type":"string"}},"type":"object"},"exceptionDto":{"description":"JSON schema for exceptions based on RFC 7807","properties":{"type":{"type":"string"},"title":{"type":"string"},"status":{"type":"integer"},"detail":{"type":"string"},"instance":{"type":"string"},"code":{"type":"integer"},"description":{"type":"string"},"help":{"type":"string"}},"required":["type"],"title":"Exception Schema","type":"object"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.os.uk/os-apis/accessing-os-apis/os-ngd-api-tiles/technical-specification/collections.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
